How can we help you today?

Go ahead and ask us anything.

Problems with using KanBo on Internet Explorer browser

Last modified:

for User

Sometimes you can experience problems with the view and performing operations in KanBo viewed in Internet Explorer browser - but only in versions older than 11.576.14393.0.

To solve these issues, you should update your Internet Explorer to version 11.576.14393.0. Microsoft isn't developing Internet Explorer anymore (https://www.microsoft.com/en-us/windowsforbusiness/end-of-ie-support), so the update is quite necessary.

You can also use other browsers which KanBo supports.


Is this article helpful for you?